Name:		SL_contrib_template
Version:	1.0
Release:	0%{?dist}
Summary:	For submitting packages to SL Contrib

Group:		SL
License:	GPL
URL:		http://www.scientificlinux.org/
Source0:	%{name}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:	noarch

# We need PyYAML
Requires:	PyYAML

# mock configs for SL6
Requires:	mock-sl6-config

# using python for lots of stuff
Requires: python

%description
Submitting packages for inclusion in Scientific Linux contrib requires
filling out a template.  This package includes that template and a simple
script to check that it is filled out.

%prep
%setup -q -n %{name}

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}/

cp template/contrib_package.yaml $RPM_BUILD_ROOT/usr/share/doc/%{name}/
cp sl6_contrib_README $RPM_BUILD_ROOT/usr/share/doc/%{name}/
cp validate_sl_contrib_form.py $RPM_BUILD_ROOT/usr/share/doc/%{name}/
chmod 755 $RPM_BUILD_ROOT/usr/share/doc/%{name}/validate_sl_contrib_form.py


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc /usr/share/doc/%{name}/

%changelog
* Tue Jan 22 2013 Pat Riehecky <riehecky@fnal.gov> 1.0-0.el6
- Initial Build

